Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WTCServerMBean

public interface WTCServerMBean
extends DeploymentMBean

This MBean defines a WTC Server.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addExport(WTCExportMBean exportTuxService)` Add an export service mbean to the WTC Server.
`boolean` | `addImport(WTCImportMBean importTuxService)` Add an import service mbean to the WTC Server.
`boolean` | `addLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)` Add a local Tuxedo domain to the WTC Server.
`boolean` | `addPassword(WTCPasswordMBean tuxDomPassword)` Add a Tuxedo domain passwords mbeans to the WTC Server.
`boolean` | `addRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)` Add a remote Tuxedo domain to the WTC Server.
`boolean` | `addtBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)` Add a tBridge Redirect mbean to the WTC Server.
`WTCExportMBean[]` | `getExports()` Get all the export service mbeans defined for the WTC Server.
`WTCImportMBean[]` | `getImports()` Get all the import service mbeans defined for the WTC Server.
`WTCLocalTuxDomMBean[]` | `getLocalTuxDoms()` Get all the loal Tuxedo domains defined for the WTC Server.
`WTCPasswordMBean[]` | `getPasswords()` Get all the Tuxedo domain passwords mbeans defined for the WTC Server.
`WTCRemoteTuxDomMBean[]` | `getRemoteTuxDoms()` Get all the remote Tuxedo domains defined for the WTC Server.
`WTCResourcesMBean` | `getResource()` Get the Tuxedo domain resources mbean defined for the WTC Server.
`WTCtBridgeGlobalMBean` | `gettBridgeGlobal()` Get the tBridge Global mbean defined for the WTC Server.
`WTCtBridgeRedirectMBean[]` | `gettBridgeRedirects()` Get the tBridge Redirect mbean defined for the WTC Server.
`boolean` | `removeExport(WTCExportMBean exportTuxService)` Remove an export service mbean from the WTC Server.
`boolean` | `removeImport(WTCImportMBean importTuxService)` Remove an import service mbean from the WTC Server.
`boolean` | `removeLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)` Remove a local Tuxedo domain from the WTC Server.
`boolean` | `removePassword(WTCPasswordMBean tuxDomPassword)` Remove a Tuxedo domain password mbeans from the WTC Server.
`boolean` | `removeRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)` Remove a remote Tuxedo domain from the WTC Server.
`boolean` | `removetBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)` Remove a tBridge Redirect mbean to the WTC Server.
`void` | `setExports(WTCExportMBean[] exportTuxServices)` Set all the export service mbeans defined for the WTC Server.
`void` | `setImports(WTCImportMBean[] importTuxServices)` Set all the import service mbeans defined for the WTC Server.
`void` | `setLocalTuxDoms(WTCLocalTuxDomMBean[] localTuxDomains)` Set all the local Tuxedo domains defined for the WTC Server.
`void` | `setPasswords(WTCPasswordMBean[] tuxDomPasswords)` Set all the Tuxedo domain passwords mbeans defined for the WTC Server.
`void` | `setRemoteTuxDoms(WTCRemoteTuxDomMBean[] remoteTuxDomains)` Set all the remote Tuxedo domains defined for the WTC Server.
`void` | `setResource(WTCResourcesMBean tuxDomResource)` Set the Tuxedo domain resources mbean defined for the WTC Server.
`void` | `settBridgeGlobal(WTCtBridgeGlobalMBean tBridgeGlobal)` Set the tBridge Global mbean defined for the WTC Server.
`void` | `settBridgeRedirects(WTCtBridgeRedirectMBean[] tBridgeRedirects)` Set the tBridge Redirect mbean defined for the WTC Server.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getLocalTuxDoms

    public WTCLocalTuxDomMBean[] getLocalTuxDoms()

  Get all the loal Tuxedo domains defined for the WTC Server.

  A non-configurable MBean attribute.

### setLocalTuxDoms

    public void setLocalTuxDoms(WTCLocalTuxDomMBean[] localTuxDomains)
                         throws javax.management.InvalidAttributeValueException

  Set all the local Tuxedo domains defined for the WTC Server.

### addLocalTuxDom

    public boolean addLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a local Tuxedo domain to the WTC Server.

  Parameters:
    `localTuxDomain` - the Tuxedo domain to add to the WTC Server

### removeLocalTuxDom

    public boolean removeLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a local Tuxedo domain from the WTC Server.

  Parameters:
    `localTuxDomain` - the Tuxedo domain to remove from the WTC Server

### getRemoteTuxDoms

    public WTCRemoteTuxDomMBean[] getRemoteTuxDoms()

  Get all the remote Tuxedo domains defined for the WTC Server.

  A non-configurable MBean attribute.

### setRemoteTuxDoms

    public void setRemoteTuxDoms(WTCRemoteTuxDomMBean[] remoteTuxDomains)
                          throws javax.management.InvalidAttributeValueException

  Set all the remote Tuxedo domains defined for the WTC Server.

### addRemoteTuxDom

    public boolean addRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Add a remote Tuxedo domain to the WTC Server.

  Parameters:
    `remoteTuxDomain` - the Tuxedo domain to add to the WTC Server

### removeRemoteTuxDom

    public boolean removeRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Remove a remote Tuxedo domain from the WTC Server.

  Parameters:
    `remoteTuxDomain` - the Tuxedo domain to remove from the WTC Server

### getExports

    public WTCExportMBean[] getExports()

  Get all the export service mbeans defined for the WTC Server.

  A non-configurable MBean attribute.

### setExports

    public void setExports(WTCExportMBean[] exportTuxServices)
                    throws javax.management.InvalidAttributeValueException

  Set all the export service mbeans defined for the WTC Server.

### addExport

    public boolean addExport(WTCExportMBean exportTuxService)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add an export service mbean to the WTC Server.

  Parameters:
    `export` - the export service mbean to add to the WTC Server

### removeExport

    public boolean removeExport(WTCExportMBean exportTuxService)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove an export service mbean from the WTC Server.

  Parameters:
    `export` - the export service mbean to remove from the WTC Server

### getImports

    public WTCImportMBean[] getImports()

  Get all the import service mbeans defined for the WTC Server.

  A non-configurable MBean attribute.

### setImports

    public void setImports(WTCImportMBean[] importTuxServices)
                    throws javax.management.InvalidAttributeValueException

  Set all the import service mbeans defined for the WTC Server.

### addImport

    public boolean addImport(WTCImportMBean importTuxService)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add an import service mbean to the WTC Server.

  Parameters:
    `import` - the import service mbean to add to the WTC Server

### removeImport

    public boolean removeImport(WTCImportMBean importTuxService)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove an import service mbean from the WTC Server.

  Parameters:
    `import` - the import service mbean to remove from the WTC Server

### getPasswords

    public WTCPasswordMBean[] getPasswords()

  Get all the Tuxedo domain passwords mbeans defined for the WTC Server.

  A non-configurable MBean attribute.

### setPasswords

    public void setPasswords(WTCPasswordMBean[] tuxDomPasswords)
                      throws javax.management.InvalidAttributeValueException

  Set all the Tuxedo domain passwords mbeans defined for the WTC Server.

### addPassword

    public boolean addPassword(WTCPasswordMBean tuxDomPassword)
                        throws javax.management.InvalidAttributeValueException,
                               DistributedManagementException

  Add a Tuxedo domain passwords mbeans to the WTC Server.

  Parameters:
    `password` - the tuxedo domain password to add to the WTC Server

### removePassword

    public boolean removePassword(WTCPasswordMBean tuxDomPassword)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Remove a Tuxedo domain password mbeans from the WTC Server.

  Parameters:
    `password` - the tuxedo domain password to remove from the WTC Server

### getResource

    public WTCResourcesMBean getResource()

  Get the Tuxedo domain resources mbean defined for the WTC Server.

  A non-configurable MBean attribute.

### setResource

    public void setResource(WTCResourcesMBean tuxDomResource)
                     throws javax.management.InvalidAttributeValueException

  Set the Tuxedo domain resources mbean defined for the WTC Server.

### gettBridgeGlobal

    public WTCtBridgeGlobalMBean gettBridgeGlobal()

  Get the tBridge Global mbean defined for the WTC Server.

  A non-configurable MBean attribute.

### settBridgeGlobal

    public void settBridgeGlobal(WTCtBridgeGlobalMBean tBridgeGlobal)
                          throws javax.management.InvalidAttributeValueException

  Set the tBridge Global mbean defined for the WTC Server.

### gettBridgeRedirects

    public WTCtBridgeRedirectMBean[] gettBridgeRedirects()

  Get the tBridge Redirect mbean defined for the WTC Server.

  A non-configurable MBean attribute.

### settBridgeRedirects

    public void settBridgeRedirects(WTCtBridgeRedirectMBean[] tBridgeRedirects)
                             throws javax.management.InvalidAttributeValueException

  Set the tBridge Redirect mbean defined for the WTC Server.

### addtBridgeRedirect

    public boolean addtBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Add a tBridge Redirect mbean to the WTC Server.

  Parameters:
    `tBredirect` - the tbridge redirect mbean to add to the WTC Server

### removetBridgeRedirect

    public boolean removetBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Remove a tBridge Redirect mbean to the WTC Server.

  Parameters:
    `tBredirect` - the tbridge redirect mbean to remove from the WTC Server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference